aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libxaw/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-06-20 09:56:11 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-06-20 09:57:25 +0000
commita3f4b7008868059a498025d6d97489fcfdf013d7 (patch)
tree87ed311f1e9e0283dc1d735101b319ca73e02fd5 /testing/libxaw/APKBUILD
parent480a758e59bbe099af01d90f36e117d4342a3a18 (diff)
downloadaports-a3f4b7008868059a498025d6d97489fcfdf013d7.tar.gz
aports-a3f4b7008868059a498025d6d97489fcfdf013d7.tar.bz2
aports-a3f4b7008868059a498025d6d97489fcfdf013d7.tar.xz
testing/libxaw: new aport
X Athena Widget Set http://www.x.org
Diffstat (limited to 'testing/libxaw/APKBUILD')
-rw-r--r--testing/libxaw/APKBUILD53
1 files changed, 53 insertions, 0 deletions
diff --git a/testing/libxaw/APKBUILD b/testing/libxaw/APKBUILD
new file mode 100644
index 0000000000..39d730b09d
--- /dev/null
+++ b/testing/libxaw/APKBUILD
@@ -0,0 +1,53 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer:
+pkgname=libxaw
+pkgver=1.0.12
+pkgrel=0
+pkgdesc="X Athena Widget Set"
+url="http://www.x.org"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="xproto libxmu-dev libxpm-dev libxext-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXaw-$pkgver.tar.bz2"
+
+_builddir="$srcdir"/libXaw-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --localstatedir=/var \
+ --disable-xaw8 \
+ --disable-static \
+ --disable-xaw6 \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="7446f5fba888672aad068b29c0928ba3 libXaw-1.0.12.tar.bz2"
+sha256sums="96fc314874fce9979556321d1d6ee00b5baf32fb333b7278853b4983bc3cdbf6 libXaw-1.0.12.tar.bz2"
+sha512sums="baf11625a20b89f08747e25dff6755ab796c8a5a91341d3cb21f85780733c4a3c25bbf134ac6259982207067d0a617f83f516c48aef6f57cbab14c8a9862944d libXaw-1.0.12.tar.bz2"